Tspi_GetAttribUint32(3)

TCG Software Stack Developers Reference

NAME
Tspi_GetAttribUint32 - get the value of particular attribute associated with a given class or object

SYNOPSIS
#include <tss/platform.h>
#include <tss/tcpa_defines.h>
#include <tss/tcpa_typedef.h>
#include <tss/tcpa_struct.h>
#include <tss/tss_typedef.h>
#include <tss/tss_structs.h>
#include <tss/tspi.h>

TSS_RESULT Tspi_GetAttribUint32(TSS_HOBJECT hObject, TSS_FLAG attribFlag,
                                TSS_FLAG    subFlag, UINT32*  pulAttrib);

DESCRIPTION

Tspi_GetAttribUint32 returns a specified uint32 attribute associated with a given class or object. In order to use this command, you must first create an object and then find the attributes you wish to set.

PARAMETERS

  hObject
The hObject parameter is the handle of the object to retrieve the attribute from.

  attribFlag
The attribFlag parameter indicates the specific attribute to query.

  subFlag
The subFlag parameter also indicates the specific attribute to query.

  pulAttrib
The pulAttrib parameter is a pointer to the location where the attribute value is returned.

RETURN CODES

Tspi_GetAttribUint32 returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hObject is not a valid handle.

TSS_E_INVALID_ATTRIB_FLAG
    attribFlag is incorrect.

TSS_E_INVALID_ATTRIB_SUBFLAG
    subFlag is incorrect.

TSS_E_INVALID_ATTRIB_DATA
    pulAttrib is incorrect.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

CONFORMING TO

Tspi_GetAttribUint32 conforms to the Trusted Computing Group Software Specification version 1.1 Golden

SEE ALSO

Tspi_GetAttribData(3), Tspi_SetAttribUint32(3), Tspi_SetAttribData(3).